%define gittag 6dbe6880

Name:		krusader
%global ver 2.9.1-dev
Version:	%{lua:ver = string.gsub(rpm.expand("%{ver}"), "-", "~"); print(ver)}
Release:	0.10%{?gittag:~git%{gittag}}%{?dist}
Summary:	An advanced twin-panel (commander-style) file-manager for KDE

License:	GPL-2.0-or-later
URL:		https://www.krusader.org/
Source0:	%{name}-%{ver}%{?gittag:-%{gittag}}.tar.xz

BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	extra-cmake-modules
BuildRequires:	kf6-karchive-devel
BuildRequires:	kf6-kcrash-devel
BuildRequires:	kf6-kbookmarks-devel
BuildRequires:	kf6-kcodecs-devel
BuildRequires:	kf6-kcompletion-devel
BuildRequires:	kf6-kconfig-devel
BuildRequires:	kf6-kcoreaddons-devel
BuildRequires:	kf6-kdoctools-devel
BuildRequires:	kf6-kguiaddons-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kiconthemes-devel
BuildRequires:	kf6-kio-devel >= 6.1
BuildRequires:	kio-extras-devel
BuildRequires:	kf6-kitemviews-devel
BuildRequires:	kf6-knotifications-devel
BuildRequires:	kf6-kparts-devel
BuildRequires:	kf6-ktextwidgets-devel
BuildRequires:	kf6-kwallet-devel
BuildRequires:	kf6-kwidgetsaddons-devel
BuildRequires:	kf6-kwindowsystem-devel
BuildRequires:	kf6-kxmlgui-devel
BuildRequires:	kf6-solid-devel
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	libacl-devel
BuildRequires:	libappstream-glib
BuildRequires:	libattr-devel
BuildRequires:	ninja-build
BuildRequires:	qt6-qtbase-devel
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	zlib-devel
BuildRequires:	git

%description
Krusader is an advanced twin panel (commander style) file manager for KDE and
other desktops in the *nix world, similar to Midnight or Total Commander.
It provides all the file management features you could possibly want.
Plus: extensive archive handling, mounted filesystem support, FTP, advanced
search module, an internal viewer/editor, directory synchronisation,
file content comparisons, powerful batch renaming and much much more.
It supports a wide variety of archive formats and can handle other KIO slaves
such as smb or fish. It is (almost) completely customizable, very user
friendly, fast and looks great on your desktop! You should give it a try.

%prep
%autosetup -n %{name}-%{ver} -p1

%build
%cmake_kf6 -G Ninja -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-kde

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog README README.md NEWS TODO
%license LICENSES/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/doc/HTML/*/%{name}/
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/kxmlgui5/%{name}/
%{_libdir}/qt6/plugins/kf6/kio/kio*.so
%{_mandir}/man1/%{name}.1*
%{_mandir}/*/man1/%{name}.1*
%{_metainfodir}/*.appdata.xml
%{_sysconfdir}/xdg/kio_isorc

%changelog
* Mon Jan 06 2025 Martin Naď - 2.9.1~dev-0.10~git6dbe6880
- update to git 6dbe6880

* Sun Dec 01 2024 Martin Naď - 2.9.0~dev-0.9~gitd7b93caa
- update to git d7b93caa

* Sun Nov 24 2024 Martin Naď - 2.9.0~dev-0.8~git4787080e
- update to git 4787080e

* Sat Oct 12 2024 Martin Naď - 2.9.0~dev-0.7~git822c776f
- rebuilt

* Sat Oct 12 2024 Martin Naď - 2.9.0~dev-0.6~git822c776f
- update to git 822c776f

* Wed Oct 02 2024 Martin Naď - 2.9.0~dev-0.5~gitef953099
- update to git ef953099

* Sun Sep 29 2024 Martin Naď - 2.9.0~dev-0.4~git69e2b776
- update to git 69e2b776

* Tue Sep 10 2024 Artyom - 2.9.0~dev-0.3~gite475add0
- update to git e475add0

* Wed Aug 14 2024 Artyom - 2.9.0~dev-0.2~git4af1097c
- rebuilt

* Wed Aug 14 2024 Artyom - 2.9.0~dev-0.1~git4af1097c
- update to git 4af1097c

* Sun Aug 04 2024 Artyom - 2.9.0~dev-8
- update to git 07b49505
- Update to kf6
